
package de.ivu.elect.presentation.gruppe.table;

import static org.apache.commons.lang3.StringUtils.trimToEmpty;

import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

public abstract class AbstractGruppeKumulierteStimmenAnteilDifferenzColumn extends AbstractGruppeKumulierteStimmenAnteilColumn {

  private static final long serialVersionUID = 1L;

  protected AbstractGruppeKumulierteStimmenAnteilDifferenzColumn(Messages messages) {
    super(messages);
  }

  @Override
  public ColumnType getType() {
    return AbstractGruppeKumulierteStimmenColumn.STIMMEN_ANTEIL_DIFFERENZ_COLUMN_TYPE;
  }

  @Override
  public String getHeader() {
    return getMessage("gruppe.kumulierte.stimmen.anteil.differenz");
  }

  @Override
  public String getHeaderIgnoringErgebnisartFuerDifferenz() {
    return getHeader();
  }

  @Override
  public String getStyleClass() {
    return trimToEmpty(super.getStyleClass()) + " " + AbstractGruppeKumulierteStimmenColumn.DIFFERENZ_COLUMN_STYLE_CLASS;
  }
}
